package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 数据统计-功率曲线
 */
public class PowerStatisListVo {
    /**
     * 数据日期
     */
    private String statisDate;

    /**
     * 电网功率-total_active_power(LOAD）
     */
    private BigDecimal gridPower;

    /**
     * 负载功率
     */
    private BigDecimal loadPower;

    /**
     * 储能功率-total_active_power(METE)
     */
    private BigDecimal storagePower;

    /**
     * 光伏功率-total_active_power(METEGT)
     */
    private BigDecimal pvPower;

    public PowerStatisListVo() {}

    public PowerStatisListVo(String statisDate, BigDecimal gridPower, BigDecimal storagePower, BigDecimal pvPower) {
        this.statisDate = statisDate;
        this.gridPower = gridPower;
        this.storagePower = storagePower;
        this.pvPower = pvPower;
    }

    public String getStatisDate() {
        return statisDate;
    }

    public void setStatisDate(String statisDate) {
        this.statisDate = statisDate;
    }

    public BigDecimal getGridPower() {
        return gridPower;
    }

    public void setGridPower(BigDecimal gridPower) {
        this.gridPower = gridPower;
    }

    public BigDecimal getLoadPower() {
        return loadPower;
    }

    public void setLoadPower(BigDecimal loadPower) {
        this.loadPower = loadPower;
    }

    public BigDecimal getStoragePower() {
        return storagePower;
    }

    public void setStoragePower(BigDecimal storagePower) {
        this.storagePower = storagePower;
    }

    public BigDecimal getPvPower() {
        return pvPower;
    }

    public void setPvPower(BigDecimal pvPower) {
        this.pvPower = pvPower;
    }
}
